xsblgt(1)

NAME
xsblgt - Logtalk integration script for XSB

SYNOPSIS
xsblgt [-e goal]

DESCRIPTION
xsblgt is a Logtalk integration script for XSB. It automatically loads the XSB adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories.

OPTIONS

-e  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
XSB 3.8.0 or later is required. This integration script assumes that the XSB executable is named "xsb" and available in the system path.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

FILES

$LOGTALKHOME/integration/logtalk_xsb.pl
    Prolog file used for loading the necessary files for starting Logtalk using XSB as the backend compiler.

$LOGTALKHOME/adapters/xsb.pl
    The XSB adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). May not exist.

CAVEATS
The first run of this script may require using "sudo" depending on the writing permissions of the Logtalk installation directory.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The XSB website at http://xsb.sourceforge.net/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2021 Paulo Moura.